Log

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Log

    java.lang.Object
      com.fenalco.entities.Log

    public class Log

extends java.lang.Object

Esta clase representa una entrada en la tabla log, permite el registro de actividades en el sistema.

Author:
  Néstor Romero León

Field Summary
`private int` | `actionId` Identificador de la operación realizada
`private java.lang.String` | `actionName` Nombre de la operación realizada
`private java.lang.String` | `externalUser` Descripción del usuario "suplantado" (en caso de que el usurio logueado tenga el rol callcenter).
`private java.lang.String` | `identificationNumber` Número de cédula del usuario registrado
`private java.sql.Date` | `logDate` Fecha en la que se realizó la operación
`private java.lang.String` | `logDescription` Descripción de la operación realizada.
`private int` | `logId` Identificador de la entrada de la tabla log
`private java.sql.Time` | `logTime` Hora a la que se realizó la operación
`private java.lang.String` | `userId` Identificador del usuario

Constructor Summary
`Log()` Constructor por defecto.
`Log(int logId)` Crea una instancia del objeto por medio de un identificador en la tabla log.

Method Summary
`int` | `getActionId()` Consultor para el atributo actionId.
`java.lang.String` | `getActionName()` Consultor para el atributo actionName.
`java.lang.String` | `getExternalUser()` Getter for property externalUser.
`java.lang.String` | `getIdentificationNumber()` Getter for property identificationNumber.
`java.sql.Date` | `getLogDate()` Consultor para el atributo logDate.
`java.lang.String` | `getLogDescription()` Consultor para el atributo logDescription.
`int` | `getLogId()` Consultor para el atributo logId.
`java.sql.Time` | `getLogTime()` Consultor para el atributo logTime.
`java.lang.String` | `getUserId()` Consultor para el atributo userId.
`void` | `loadData(int logId)` Este método carga los datos de la entrada del log en el objeto, por medio de un llamado al método `query` de la clase `SQLUtilities`.
`static void` | `main(java.lang.String[] args)`
`boolean` | `saveData(java.lang.String userId, java.lang.String numberId, int actionId, java.lang.String description, java.lang.String externalUser, Transaction transaction)` Método estático que permite registrar una nueva entrada en el log de eventos.
`void` | `setActionId(int actionId)` Modificador para el atributo actionId.
`void` | `setActionName(java.lang.String actionName)` Modificador para el atributo actionName.
`void` | `setExternalUser(java.lang.String externalUser)` Setter for property externalUser.
`void` | `setIdentificationNumber(java.lang.String identificationNumber)` Setter for property identificationNumber.
`void` | `setLogDate(java.sql.Date logDate)` Modificador para el atributo logDate.
`void` | `setLogDescription(java.lang.String logDescription)` Modificador para el atributo logDescription.
`void` | `setLogId(int logId)` Modificador para el atributo logId.
`void` | `setLogTime(java.sql.Time logTime)` Modificador para el atributo logTime.
`void` | `setUserId(java.lang.String userId)` Modificador para el atributo userId.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logId

    private int logId

  Identificador de la entrada de la tabla log

### userId

    private java.lang.String userId

  Identificador del usuario

### actionId

    private int actionId

  Identificador de la operación realizada

### identificationNumber

    private java.lang.String identificationNumber

  Número de cédula del usuario registrado

### actionName

    private java.lang.String actionName

  Nombre de la operación realizada

### logDate

    private java.sql.Date logDate

  Fecha en la que se realizó la operación

### logTime

    private java.sql.Time logTime

  Hora a la que se realizó la operación

### logDescription

    private java.lang.String logDescription

  Descripción de la operación realizada.

### externalUser

    private java.lang.String externalUser

  Descripción del usuario "suplantado" (en caso de que el usurio logueado tenga el rol callcenter).

Constructor Detail

### Log

    public Log()

  Constructor por defecto. Crea una instancia del objeto.

### Log

    public Log(int logId)

  Crea una instancia del objeto por medio de un identificador en la tabla log. Carga todos los datos de la entrada en los atributos de la clase, llamando al método `loadData`.

  Parameters:
    `logId` - Identificador de la entrada en el log.

Method Detail

### loadData

    public void loadData(int logId)

  Este método carga los datos de la entrada del log en el objeto, por medio de un llamado al método `query` de la clase `SQLUtilities`.

  Parameters:
    `logId` - Identificador de la entrada en el log.

### saveData

    public boolean saveData(java.lang.String userId,
                            java.lang.String numberId,
                            int actionId,
                            java.lang.String description,
                            java.lang.String externalUser,
                            Transaction transaction)

  Método estático que permite registrar una nueva entrada en el log de eventos.

  Parameters:
    `userId` - Usuario que realiza la operación
    `actionId` - Operación realizada por el usaurio.
    `description` - Descripción de la operación realizada por el usuario.
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getLogId

    public int getLogId()

  Consultor para el atributo logId.

  Returns:
    Valor del atributo logId.

### setLogId

    public void setLogId(int logId)

  Modificador para el atributo logId.

  Parameters:
    `logId` - Nuevo valor del atributo logId.

### getUserId

    public java.lang.String getUserId()

  Consultor para el atributo userId.

  Returns:
    Valor del atributo userId.

### setUserId

    public void setUserId(java.lang.String userId)

  Modificador para el atributo userId.

  Parameters:
    `userId` - Nuevo valor del atributo userId.

### getActionId

    public int getActionId()

  Consultor para el atributo actionId.

  Returns:
    Valor del atributo actionId.

### setActionId

    public void setActionId(int actionId)

  Modificador para el atributo actionId.

  Parameters:
    `actionId` - Nuevo valor del atributo actionId.

### getActionName

    public java.lang.String getActionName()

  Consultor para el atributo actionName.

  Returns:
    Valor del atributo actionName.

### setActionName

    public void setActionName(java.lang.String actionName)

  Modificador para el atributo actionName.

  Parameters:
    `actionName` - Nuevo valor del atributo actionName.

### getLogDate

    public java.sql.Date getLogDate()

  Consultor para el atributo logDate.

  Returns:
    Valor del atributo logDate.

### setLogDate

    public void setLogDate(java.sql.Date logDate)

  Modificador para el atributo logDate.

  Parameters:
    `logDate` - Nuevo valor del atributo logDate.

### getLogTime

    public java.sql.Time getLogTime()

  Consultor para el atributo logTime.

  Returns:
    Valor del atributo logTime.

### setLogTime

    public void setLogTime(java.sql.Time logTime)

  Modificador para el atributo logTime.

  Parameters:
    `logTime` - Nuevo valor del atributo logTime.

### getLogDescription

    public java.lang.String getLogDescription()

  Consultor para el atributo logDescription.

  Returns:
    Valor del atributo logDescription.

### setLogDescription

    public void setLogDescription(java.lang.String logDescription)

  Modificador para el atributo logDescription.

  Parameters:
    `logDescription` - Nuevo valor del atributo logDescription.

### main

    public static void main(java.lang.String[] args)

### getIdentificationNumber

    public java.lang.String getIdentificationNumber()

  Getter for property identificationNumber.

  Returns:
    Value of property identificationNumber.

### setIdentificationNumber

    public void setIdentificationNumber(java.lang.String identificationNumber)

  Setter for property identificationNumber.

  Parameters:
    `identificationNumber` - New value of property identificationNumber.

### getExternalUser

    public java.lang.String getExternalUser()

  Getter for property externalUser.

  Returns:
    Value of property externalUser.

### setExternalUser

    public void setExternalUser(java.lang.String externalUser)

  Setter for property externalUser.

  Parameters:
    `externalUser` - New value of property externalUser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD